module.exports = {
  env: {
    browser: true,
    es2021: true,
  },
  globals: {
    browser: 'readonly',
    chrome: 'readonly',
  },
  extends: ['airbnb-base'],
  parserOptions: {
    ecmaVersion: 'latest',
    sourceType: 'module',
  },
  rules: {
    'import/extensions': 0,
    'class-methods-use-this': 0,
    'no-param-reassign': 0,
    camelcase: 0,
    'quote-props': ['error', 'as-needed'],
    'react/prop-types': 'off',
    'react/react-in-jsx-scope': 'off',
    'one-var': ['error', 'never'],
    'no-unused-modules': [0, { unusedExports: true }],
    'no-unused-vars': 'warn',
    eqeqeq: 'off',
    'padded-blocks': 0,
		'no-tabs': 0,
		indent: 0,
		'no-trailing-spaces': 0,
		'max-len': 0,
    'no-alert': 0,
    'no-console': 0,
  },
};
